gdb on fc6, gdbserver on rh62, which libthread_db.so do i use on which platform?

John Utz John.Utz@dmxmusic.com
Fri Dec 29 17:34:00 GMT 2006


Hello Everybody;

Remarkably, I dealt with this successfully previously when I was
contracting at Nintendo
(http://sources.redhat.com/ml/gdb/2004-01/msg00273.html).

But I cant remember how :-( .

My development box is a p4 running fc6 the target is a centaur running
rh62.

I am using crosstool (gcc-2.95.3-glibc-2.1.3) for my tool chain.

I built gdb/gdbserver 6.2 because anything newer wont link because
glibc-2.1.3 is missing some thread thing.

gdb indicates that my application is segfaulting, and based on googling
and finding my *own* email from 2004 and danielj's response, I know that
I need to have matching libthread_db's on both sides of the wire.

*which* libthread_db?

Tnx!

johnu


--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list